import 'package:flutter_test/flutter_test.dart';
import 'package:easy_duration/easy_duration.dart';

void main() {
  test("Test second", () {
    final oneSeconds = 1.2.seconds;
    expect(oneSeconds.inMilliseconds, 1200);
    final oneS = 1.5.s;
    expect(oneS.inMilliseconds, 1500);
  });

  test("Test miliseconds", () {
    final oneMili = 2.2.miliseconds;
    expect(oneMili.inMicroseconds, 2200);
    final tenMili = 1.1.ms;
    expect(tenMili.inMicroseconds, 1100);
  });

  test("Test microsecond", () {
    final oneMicro = 1.3.microseconds;
    expect(oneMicro.inMicroseconds, 1);
    final tenMicro = 10.1.us;
    expect(tenMicro.inMicroseconds, 10);
  });

  test("Test minutes", () {
    final oneMinutes = 1.2.minutes;
    expect(oneMinutes.inSeconds, 72);
    final tenMinutes = 1.02.m;
    expect(tenMinutes.inSeconds, 61);
  });

  test("Test hours", () {
    final oneHour = 1.2.hours;
    expect(oneHour.inMinutes, 72);
    final tenHours = 1.02.h;
    expect(tenHours.inMinutes, 61);
  });

  test("Test day", () {
    final oneDay = 1.2.days;
    expect(oneDay.inHours, (24 * 1.2).toInt());
    final tenDays = 1.01.days;
    expect(tenDays.inHours, (24 * 1.01).toInt());
  });

  test("Test months", () {
    final oneMonth = 1.8.months;
    expect(oneMonth.inDays, 54);
    final tenMonths = 10.12.M;
    expect(tenMonths.inDays, (10.12 * 30).toInt());
  });

  test("Test years", () {
    final oneYear = 1.1.years;
    expect(oneYear.inDays, (365 * 1.1).toInt());
    final tenYears = 10.01.y;
    expect(tenYears.inDays, (365 * 10.01).toInt());
  });

  test("Test weeks", () {
    final oneYear = 1.7.weeks;
    expect(oneYear.inDays, 11);
    final tenYears = 10.1.w;
    expect(tenYears.inDays, 70);
  });
}
